import * as d3 from 'd3'

export const PI = Math.PI

export function select(idOrElOrSel) {
  if (idOrElOrSel._groups) {
    return idOrElOrSel
  }
  const selection = d3.select(idOrElOrSel)
  if (!selection._groups[0][0]) {
    throw `id not exists: ${idOrElOrSel}`
  }
  return selection
}

export const Color = {
  section: (color) => d3.hsl(color).darker(2),
  inner: (color) => d3.hsl(color).darker(.5),
  innerFar: (color) => d3.hsl(color).darker(.9),
  outer: (color) => d3.hsl(color).darker(3),
  outerFar: (color) => d3.hsl(color).darker(1),
  top: (color) => d3.hsl(color).darker(0),
  bottom: (color) => d3.hsl(color).darker(1.2),
}

